//------------------------------------------------------------------
//
//------------------------------------------------------------------
#property show_inputs

extern int OlderThan.Hours   = 2;
extern int OlderThan.Minutes = 0;

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int start()
{
   bool   result;
   int    cmd,seconds = OlderThan.Hours*3600+OlderThan.Minutes*60;

   for(int i=OrdersTotal()-1; i>=0; i--)
   {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
      {
         cmd=OrderType();
         int timeDiff = TimeCurrent()-OrderOpenTime();
         if (timeDiff < seconds) continue;
         if (cmd!=OP_BUY && cmd!=OP_SELL)
         {
            result=OrderDelete(OrderTicket());
               if (result!=TRUE) { Print("LastError = ", GetLastError()); break; }
         }
         else  
         {
            RefreshRates();
            if (cmd==OP_BUY)
                  double closePrice = Bid;
            else         closePrice = Ask;
            result=OrderClose(OrderTicket(),OrderLots(),closePrice,3,CLR_NONE);
               if (result!=TRUE) { Print("LastError = ", GetLastError()); break; }
         }               
      }
   }
   return(0);
}